Summary: Resource Description Framework GENerator
Name: rdfgen
Version: 1.7.0
Release: 3tr
License: GPL
Group: System/Administration
Source0: rdfgen-%{version}.tar.gz
Patch0: rdfgen-encoding.patch
PreReq: python >= 2.2
BuildRoot: /var/tmp/%{name}-root

%description
Generates database files in rdf/xml format to work with the swup software
upgrading tool.

%prep
%setup -q
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT
make
make DESTDIR=$RPM_BUILD_ROOT install

# ghost files, must be removed when uninstalling this package.
for i in rdf rdfgen spiparser utils driver/__init__ driver/rpm driver/rpm4/__init__; do
	> ${RPM_BUILD_ROOT}/usr/lib/rdfgen/$i.pyc
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
python -c "import compileall; compileall.compile_dir('/usr/lib/rdfgen')" \
	> /dev/null 2>&1

%files
%defattr(-,root,root)
%doc COPYING CHANGELOG
/usr/bin/rdfgen
%dir /usr/lib/rdfgen
/usr/lib/rdfgen/*.py
%dir /usr/lib/rdfgen/driver
/usr/lib/rdfgen/driver/*.py
%dir /usr/lib/rdfgen/driver/rpm4
/usr/lib/rdfgen/driver/rpm4/*.py
%dir /usr/share/man/man1
/usr/share/man/man1/rdfgen.*
/usr/lib/rdfgen/driver/rpm4/rpmmodule.so
%ghost /usr/lib/rdfgen/*.pyc
%ghost /usr/lib/rdfgen/driver/*.pyc
%ghost /usr/lib/rdfgen/driver/rpm4/*.pyc

%changelog
* Wed Sep  8 2004 Chr. Toldnes <christht at trustix dot org> 1.7-3tr
- Fixed missing encoding specification in rdfs

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7.0-2tr
- Big rebuild

* Thu Jun 12 2003 Christian H. Toldnes <christht at trustix dot com> 1.7.0-1ct
- New upstream version.
  + merged Tore's changes with one of my own.

* Wed May 28 2003 Tore Olsen <toreo at trustix dot com> 1.6.0-3to
- Python must be prereq'ed.
- Added patch for making rdfgen silent (-q or --quiet).
- Fixed makefiles so we can run make install as normal user.
- Don't require rpmmodule, we provide it ourselves.

* Wed May 28 2003 Christian H. Toldnes <christht at trustix dot com> 1.6.0-2ct
- Merged rpmmodule to rdfgen once again.

* Wed May 28 2003 Christian H. Toldnes <christht at trustix dot com> 1.6.0-1ct
- New version scheme: 1.6.0

* Thu Apr 10 2003 Christian H. Toldnes <christht at trustix dot com> 0.1.6-1ct
- New minor version: 0.1.6, bugfix only.

* Mon Mar 24 2003 Christian H. Toldnes <christht at trustix dot com> 0.1.5-1ct
- New minor version: 0.1.5, bugfix only.

* Mon Mar 24 2003 Christian H. Toldnes <christht at trustix dot com> 0.1.4-1ct
- New minor version: 0.1.14
- rdfgen now generates _valid_ rdfs even if errors occur.

* Sat Mar 22 2003 Christian H. Toldnes <christht at trustix dot com> 0.1.3-1ct
- New minor version: 0.1.13
- rdfgen now generates rdfs even if errors occur.

* Fri Mar 10 2003 Christian H. Toldnes <christht at trustix dot com> 0.1.2-4ct
- Added patch from kenr (patch0) fix bugs 698086, 694241, 693909

* Thu Feb 27 2003 Christian H. Toldnes <christht at trustix dot com> 0.1.2-3ct
- Only rdfgen may need this version of rpmmodule.so, but it will work in
  most cases without this version, and by using the native version from
  rpm-python.
- Requires: rpmmodule.so

* Thu Feb 20 2003 Christian H. Toldnes <christht at trustix dot com> 0.1.2-2ct
- split rpmmodule.so into separate package, both swup and rdfgen needs this.

* Thu Jan  9 2003 Erlend Midttun <erlendbm at trustix dot com> 0.1.2-1em
- New rpmmodule.so
- Now require Python 2.2

* Thu Oct  4 2002 Christian H. Toldnes <christht at trustix dot com> 0.1.1-2ct
- Made rdfgen continue even if an error has occured. (Patch 0)

* Wed Jul 10 2002 Christian H. Toldnes <christht at trustix dot com> 0.1.1-1ct
- Adapt to fit TSL 2.0
- Licensed GPL
- Added gpl.txt and changed version from 0.1.0 to 0.1.1

* Tue Jun 12 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Initial rdfgen RPM-package.
